Update a local site¶
PATCH/
Endpoint API · Web Control
Update a local site definition.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
localSiteId | path | string (uuid) | Yes | Local site ID. |
Request body¶
Content type: application/json
Request body fields
categoryIdintegerCategory ID associated with this local site. Either
Must be ≥ 1 and ≤ 57.
categoryId or tags must be provided.Must be ≥ 1 and ≤ 57.
tagsarray of stringArray of tags associated with this local site setting. Either
Each item must be 1–50 characters long.
categoryId or tags must be provided.Each item must be 1–50 characters long.
urlstringMust be 1–2048 characters long.
commentstringMust be at most 300 characters long.
Request samples¶
curl -X PATCH "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/web-control/local-sites/<localSiteId>" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>" -H "Content-Type: application/json" -d "{
\"categoryId\": 50,
\"url\": \"https://www.example.com\",
\"comment\": \"Reason for LocalSitePatch Request\"
}"
import requests
response = requests.patch(
"https://api-<data-region>.central.sophos.com/endpoint/v1/settings/web-control/local-sites/<localSiteId>",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
json={ 'categoryId': 50,
'url': 'https://www.example.com',
'comment': 'Reason for LocalSitePatch Request'},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
"Content-Type" = "application/json"
}
$body = '{
"categoryId": 50,
"url": "https://www.example.com",
"comment": "Reason for LocalSitePatch Request"
}'
Invoke-RestMethod -Method PATCH -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/web-control/local-sites/<localSiteId>" -Headers $headers -Body $body -ContentType "application/json"
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, err := http.NewRequest("PATCH", "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/web-control/local-sites/<localSiteId>", strings.NewReader(`{
"categoryId": 50,
"url": "https://www.example.com",
"comment": "Reason for LocalSitePatch Request"
}`))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/settings/web-control/local-sites/<localSiteId>", {
method: "PATCH",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"categoryId": 50,
"url": "https://www.example.com",
"comment": "Reason for LocalSitePatch Request"
}),
});
const data = await response.json();
console.log(data);
Responses¶
200 — Local site updated.¶
Response fields
idstring (uuid)requiredLocal site ID.
categoryIdintegerLocal site category ID.
Must be ≥ 1 and ≤ 57.
Must be ≥ 1 and ≤ 57.
tagsarray of stringTags associated with this local site.
urlstringrequiredLocal site URL.
commentstringComment indicating why the local site was added.
Must be at most 300 characters long.
Must be at most 300 characters long.
Errors¶
| Status | Meaning |
|---|---|
404 | Can't find local site. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.